Package org.a2aproject.sdk.grpc
Interface SendMessageRequestOrBuilder
- All Superinterfaces:
com.google.protobuf.MessageLiteOrBuilder,com.google.protobuf.MessageOrBuilder
- All Known Implementing Classes:
SendMessageRequest,SendMessageRequest.Builder
@Generated
public interface SendMessageRequestOrBuilder
extends com.google.protobuf.MessageOrBuilder
-
Method Summary
Modifier and TypeMethodDescriptionConfiguration for the send request.Configuration for the send request.The message to send to the agent.The message to send to the agent.com.google.protobuf.StructA flexible key-value map for passing additional context or parameters.com.google.protobuf.StructOrBuilderA flexible key-value map for passing additional context or parameters.Optional.com.google.protobuf.ByteStringOptional.booleanConfiguration for the send request.booleanThe message to send to the agent.booleanA flexible key-value map for passing additional context or parameters.Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
isInitializedMethods inherited from interface com.google.protobuf.MessageOrBuilder
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
-
Method Details
-
getTenant
String getTenant()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The tenant.
-
getTenantBytes
com.google.protobuf.ByteString getTenantBytes()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The bytes for tenant.
-
hasMessage
boolean hasMessage()The message to send to the agent.
.lf.a2a.v1.Message message = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- Whether the message field is set.
-
getMessage
Message getMessage()The message to send to the agent.
.lf.a2a.v1.Message message = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The message.
-
getMessageOrBuilder
MessageOrBuilder getMessageOrBuilder()The message to send to the agent.
.lf.a2a.v1.Message message = 2 [(.google.api.field_behavior) = REQUIRED]; -
hasConfiguration
boolean hasConfiguration()Configuration for the send request.
.lf.a2a.v1.SendMessageConfiguration configuration = 3;- Returns:
- Whether the configuration field is set.
-
getConfiguration
SendMessageConfiguration getConfiguration()Configuration for the send request.
.lf.a2a.v1.SendMessageConfiguration configuration = 3;- Returns:
- The configuration.
-
getConfigurationOrBuilder
SendMessageConfigurationOrBuilder getConfigurationOrBuilder()Configuration for the send request.
.lf.a2a.v1.SendMessageConfiguration configuration = 3; -
hasMetadata
boolean hasMetadata()A flexible key-value map for passing additional context or parameters.
.google.protobuf.Struct metadata = 4;- Returns:
- Whether the metadata field is set.
-
getMetadata
com.google.protobuf.Struct getMetadata()A flexible key-value map for passing additional context or parameters.
.google.protobuf.Struct metadata = 4;- Returns:
- The metadata.
-
getMetadataOrBuilder
com.google.protobuf.StructOrBuilder getMetadataOrBuilder()A flexible key-value map for passing additional context or parameters.
.google.protobuf.Struct metadata = 4;
-